Bug 297187 - Crash when blocking contact on group chats
Summary: Crash when blocking contact on group chats
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: unspecified Linux
: NOR crash
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-03-31 15:06 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-03-31 15:06:16 UTC
block-contact action should not be enabled for group chats.
Comment 1 Daniele E. Domenichelli 2012-04-03 23:30:49 UTC
Git commit beb229df0ed91ab12ca51a606bf14bd02b64da8e by Daniele E. Domenichelli, on behalf of Ahmed Ibrahim Khalil.
Committed on 03/04/2012 at 00:33.
Pushed by ddomenichelli into branch 'master'.

Added a method that enables/disables the block action so that we

disable the block action when switching to a group chat.

M  +13   -1    app/chat-window.cpp
M  +1    -0    app/chat-window.h

http://commits.kde.org/telepathy-text-ui/beb229df0ed91ab12ca51a606bf14bd02b64da8e